CHGPASSWD(8)

NOME
chgpasswd - aggiorna le password di gruppo in modalità non interattiva

SINOSSI

chgpasswd [options]

DESCRIZIONE

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI

The options which apply to the chgpasswd command are:

-c, --crypt-method
    Utilizza il metodo specificato per cifrare le password.

    The available methods are DES, MD5, SHA256, SHA512, YESCRYPT and NONE if your libc supports these methods.

-e, --encrypted
    Le password fornite sono in forma cifrata.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    Usa il numero specificato di cicli per cifrare la password.

    You can only use this option with crypt method: SHA256 SHA512 YESCRYPT

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default number of rounds is 5000.

    By default, the number of rounds for YESCRYPT is defined by the YESCRYPT_COST_FACTOR in /etc/login.defs.

    A minimal value of 1 and a maximal value of 11 will be enforced for YESCRYPT. The default number of rounds is 5.

AVVISI/CAVEAT

Ricordarsi di impostare i permessi o umask in modo da prevenire la lettura in chiaro da parte di altri utenti.

Ci si deve accertare che le password e il metodo di cifratura rispettino le norme delle password del sistema.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

VEDERE ANCHE

gpasswd(1), groupadd(8), login.defs(5).